      SUBROUTINE LIST                                                   00052 
      INTEGER NUMLIN                    !830307 MAO                     00108 
      LOGICAL CNTALL                    !830307 MAO                     00109 
      COMMON/FLINE/CNTALL,NUMLIN        !830307 MAO                     00110 
      INTEGER DTYPE                     !22-JUN-81                      00112 
      COMMON/DIR/DTYPE                                                  00113 
      LOGICAL PASFLG                                    !30JUN81MAO     00115 
      INTEGER CNDLVL                                    !30JUN81MAO     00116 
      INTEGER OFFLVL                                    !30JUN81MAO     00117 
      INTEGER COND                                      !30JUN81MAO     00118 
      INTEGER CNDVAL                                    !30JUN81MAO     00119 
      COMMON/COND/PASFLG,CNDLVL,OFFLVL,COND,CNDVAL(4,10) !30JUN81MAO    00120 
      LOGICAL*2 ALECS,LSTFUL                    !22-JUN-81              00123 
      INTEGER*2 TYPIN,TYPLST,TYPOUT,CHCMNT      !22-JUN-81              00124 
      COMMON/MACVAL/ALECS,TYPIN,TYPLST,TYPOUT,CHCMNT,LSTFUL!22-JUN-81   00125 
      INTEGER ERR1,ERR2                         !821129MAO              00128 
      COMMON/IOERR/ERR1,ERR2                            !821129MAO      00129 
      COMMON/IFBLK/BLKIF                                !860214         00131 
      INTEGER*2 BLKIF                                   !860214         00132 
      INTEGER*2 AELS77                                  !860228         00137 
      DATA AELS77/13/                                           !860228 00138 
      INTEGER FORMFD                                    !22-JUN-81      00139 
      INTEGER DPAGE                                     !22-JUN-81      00140 
      INTEGER DINCL                                     !29JUN81MAO     00141 
      INTEGER DPEND,DPIF,DPUNL                  !30JUN81MAO             00142 
      INTEGER DNAME                                     !30JUN81MAO     00143 
      INTEGER DIMP                                      !840307MAO      00144 
      INTEGER SNEST,SFNAM,SOPN                  !29JUN81MAO             00145 
      INTEGER SFCONT                                    !830308MAO      00146 
      INTEGER SEPE,SNONAM,STRUN,SMPE                    !30JUN81MAO     00147 
      INTEGER TDIR                                      !22-JUN-81      00148 
      INTEGER TOFF                                      !30JUN81MAO     00149 
      INTEGER SPAGE                                                     00152 
      INTEGER BLN   , CHC   , CHSPAC, CHZERO, CLASS , ERRCL             00155 
      INTEGER CINLIN                                    !25-JAN-80      00156 
      INTEGER ERROR , ERRSTK, ERSTOP, ERTYPE, EXTYPE, FLXNO             00157 
      INTEGER FORTCL, HOLDNO, I     , LEVEL , LINENO                    00158 
      INTEGER LISTCL, LSTLEV                                            00159 
      INTEGER MAJCNT, MINCNT, MLINE , NCHPWD, NUNITS, P                 00160 
      INTEGER PTABLE, QP    , READ  , REFNO , RETRY                     00161 
      INTEGER SB    , SB2   , SB4   , SB6   , SB7   , SCOND             00162 
      INTEGER SDASH , SELSE , SENDER, SETUP , SFIN  , SFLX              00163 
      INTEGER SENDIF,SIENDI                                     !860228 00164 
      INTEGER SFSPCR, SHOLD , SICOND, SIELSE, SIFIN , SIFIN2            00165 
      INTEGER SIGN  , SINSRT, SINS2 , SITODM, SIWHEN, SLIST , SMULER    00166 
      INTEGER SNDER1, SNDER2, SNIER1, SNIER2, SOURCE                    00167 
      INTEGER SPINV , SPUTGO, SRDERR, SRP   , SSPACR, SST   , SSTMAX    00168 
      INTEGER STABH , STACK , STODUM, SVER  , SWHEN , SXER1             00169 
      INTEGER SXER2 , SXER3 , SXER4 , SXER5 , TABLCL, TCEXP             00170 
      INTEGER TELSE , TEND  , TEXEC , TFIN  , TOP   , TTO               00171 
      INTEGER TENDDO, TENDIF, TELSIF                            !860214 00172 
      INTEGER ULEN  , USTART, UTYPE , WWIDTH                            00173 
      LOGICAL DONE  , ENDFIL, ENDPGM, ERLST , FIRST , FOUND ,MINER      00180 
      LOGICAL NDERR , NIERR , NOPGM , PASS  , SAVED                     00181 
      DIMENSION  UTYPE(3), USTART(3), ULEN(3)                           00189 
      DIMENSION STACK(2000)                                             00192 
      DIMENSION ERRSTK(5)                                               00195 
      COMMON BLN   , CLASS , DONE  , ENDFIL, ENDPGM, ERLST              00204 
      COMMON ERROR , ERRSTK, ERSTOP, EXTYPE, FIRST , FLXNO              00205 
      COMMON FOUND , HOLDNO, LEVEL , LINENO, LSTLEV, MAJCNT             00206 
      COMMON MINCNT, MLINE , NOPGM , NUNITS, PASS  , PTABLE, QP         00207 
      COMMON REFNO , SAVED , SFLX  , SHOLD , SLIST , SOURCE             00208 
      COMMON SPINV , SPUTGO, SST   , STACK , TOP   , ULEN               00209 
      COMMON USTART, UTYPE , WWIDTH                                     00210 
      COMMON /PARAM/ NCHPWD, CHZERO, CHSPAC, CHC, CINLIN   !25-JAN-80   00247 
      DIMENSION SFLX   (51)                                             00260 
      DIMENSION SHOLD  (51)                                             00262 
      DIMENSION SLIST  (101)                                            00264 
      DIMENSION SPINV  (41)                                             00266 
      DIMENSION SPUTGO (11)                                             00268 
      DIMENSION SST    (101)                                            00270 
      DIMENSION SB     (2)                                              00276 
      DIMENSION SB2    (2)                                              00279 
      DIMENSION SB4    (3)                                              00282 
      DIMENSION SB6    (4)                                              00285 
      DIMENSION SB7    (5)                                              00288 
      DIMENSION SCOND  (10)                                             00291 
      DIMENSION SDASH  (21)                                             00295 
      DIMENSION SELSE  (11)                                             00300 
      DIMENSION SENDER (16)                                             00304 
      DIMENSION SENDIF   (7)                                    !860228 00308 
      DIMENSION SEPE(15)                                !30JUN81MAO     00311 
      DIMENSION SFCONT(26)                              !830308MAO      00315 
      DIMENSION SFIN   (6)                                              00321 
      DIMENSION SFNAM(16)                               !29JUN81MAO     00324 
      DIMENSION SFSPCR (3)                                              00328 
      DIMENSION SICOND (28)                                             00331 
      DIMENSION SIELSE (21)                                             00337 
      DIMENSION SIENDI  (21)                                    !860228 00342 
      DIMENSION SIFIN  (20)                                             00348 
      DIMENSION SIFIN2 (8)                                              00353 
      DIMENSION SIGN   (24)                                             00356 
      DIMENSION SINSRT (20)                                             00361 
      DIMENSION SINS2  (8)                                              00366 
      DIMENSION SITODM (26)                                             00369 
      DIMENSION SIWHEN (21)                                             00375 
      DIMENSION SMPE(12)                                !30JUN81MAO     00380 
      DIMENSION SMULER (23)                                             00384 
      DIMENSION SNDER1 (22)                                             00389 
      DIMENSION SNDER2 (23)                                             00394 
      DIMENSION SNIER1 (24)                                             00399 
      DIMENSION SNIER2 (23)                                             00404 
      DIMENSION SNEST(19)                               !29JUN81MAO     00409 
      DIMENSION SNONAM(17)                              !30JUN81MAO     00414 
      DIMENSION SOPN(17)                                !29JUN81MAO     00418 
      DIMENSION SPAGE(7)                                                00424 
      DIMENSION SRDERR(18)                              !821129MAO      00429 
      DIMENSION SRP    (2)                                              00434 
      DIMENSION SSPACR (3)                                              00437 
      DIMENSION STABH  (20)                                             00440 
      DIMENSION STODUM (13)                                             00445 
      DIMENSION STRUN(25)                                               00449 
      DIMENSION SVER   (12)                                             00455 
      DIMENSION SWHEN  (16)                                             00459 
      DIMENSION SXER1  (28)                                             00463 
      DIMENSION SXER2  (28)                                             00469 
      DIMENSION SXER3  (26)                                             00475 
      DIMENSION SXER4  (16)                                             00481 
      DIMENSION SXER5  (26)                                             00485 
      DATA FORMFD /"14/                                 !22-JUN-81      00496 
      DATA FORTCL /1/, LISTCL /2/, ERRCL /3/                            00497 
      DATA TCEXP/1/, TELSE/2/, TEND/3/, TEXEC/4/, TFIN/5/, TTO/6/       00498 
      DATA TENDDO/9/, TENDIF/11/, TELSIF/10/                    !860214 00499 
      DATA TDIR/7/                                      !22-JUN-81      00500 
      DATA TOFF/8/                                      !30JUN81MAO     00501 
      DATA DPAGE/1/                                     !22-JUN-81      00502 
      DATA DINCL/2/                                     !29JUN81MAO     00503 
      DATA DPIF/3/, DPUNL/4/, DPEND/5/          !29JUN81MAO             00504 
      DATA DNAME /6/                                    !30JUN81MAO     00505 
      DATA DIMP  /7/                                    !840307MAO      00506 
      DATA SETUP /1/, RETRY /2/, READ /3/                               00507 
      DATA SSTMAX /200/                                                 00508 
      DATA SB     /  1, 1H /                                            00509 
      DATA SB2    /  2, 2H  /                                           00510 
      DATA SB4    /  4, 2H  , 2H  /                                     00511 
      DATA SB6    /  6, 2H  , 2H  , 2H  /                               00512 
      DATA SB7    /  7, 2H  , 2H  , 2H  , 1H /                          00513 
      DATA SCOND  / 17, 2H  , 2H  , 2H  , 2HCO, 2HND, 2HIT, 2HIO, 2HNA  00514 
     1                , 1HL/                                            00515 
      DATA SDASH  / 40, 2H--, 2H--, 2H--, 2H--, 2H--, 2H--, 2H--, 2H--  00516 
     1                , 2H--, 2H--, 2H--, 2H--, 2H--, 2H--, 2H--, 2H--  00517 
     1                , 2H--, 2H--, 2H--, 2H--/                         00518 
      DATA SELSE  / 19, 2H  , 2H  , 2H  , 2HEL, 2HSE, 2H C, 2HON, 2HTI  00519 
     1                , 2HNU, 1HE/                                      00520 
      DATA SENDER / 30, 2H**, 2H**, 2H* , 2HEN, 2HD , 2HST, 2HAT, 2HEM  00521 
     1                , 2HEN, 2HT , 2HIS, 2H M, 2HIS, 2HSI, 2HNG/       00522 
      DATA SENDIF   /  11, 2H  , 2H  , 2H  , 2HEN, 2HDI, 1HF/   !860228 00523 
      DATA SEPE /28, 2H**, 2H**, 2H*  ,2HEX, 2HTR, 2HA  ,2H.P, !30JUN81 00524 
     1 2HAS, 2HSE, 2HND, 2H--, 2HIG, 2HOR, 2HED/        !30JUN81        00525 
      DATA SFCONT /49, 2H**, 2H**, 2H* ,2HWA, 2HRN, 2H--,       !830308 00526 
     1 2HIN, 2HPU, 2HT , 2HFO, 2HRC, 2HED, 2H O, 2HUT, 2HPU,    !830308 00527 
     2 2HT , 2HCO, 2HNT, 2HIN, 2HUA, 2HTI, 2HON, 2H L, 2HIN,    !830308 00528 
     3 1HE/                                                             00529 
      DATA SFIN   /  9, 2H  , 2H  , 2H  , 2HFI, 1HN/                    00530 
      DATA SFNAM /30, 2H**, 2H**, 2H* ,2H.I, 2HNC, 2HLU, 2HDE, !29JUN81 00531 
     1 2H F, 2HIL, 2HE , 2HNA, 2HME, 2H E, 2HRR, 2HOR/   !29JUN81       00532 
      DATA SFSPCR /  3, 2H.., 1H./                                      00533 
      DATA SICOND / 54, 2H**, 2H**, 2H* , 2H  , 2H (, 2HCO, 2HND, 2HIT  00534 
     1                , 2HIO, 2HNA, 2HL , 2HOR, 2H S, 2HEL, 2HEC, 2HT   00535 
     1                , 2HIS, 2H A, 2HPP, 2HAR, 2HEN, 2HTL, 2HY , 2HMI  00536 
     1                , 2HSS, 2HIN, 2HG)/                               00537 
      DATA SIELSE / 39, 2H**, 2H**, 2H* , 2H  , 2H (, 2HEL, 2HSE, 2H N  00538 
     1                , 2HEC, 2HES, 2HSA, 2HRY, 2H T, 2HO , 2HMA, 2HTC  00539 
     1                , 2HH , 2HLI, 2HNE, 1H /                          00540 
      DATA SIENDI  / 40, 2H**, 2H**, 2H* , 2H  , 2H (, 2HEN, 2HDI , 2HF 00541 
     1                , 2HNE                                            00542 
     1                , 2HCE, 2HSS, 2HAR, 2HY , 2HTO, 2H M, 2HAT, 2HCH  00543 
     1                , 2H L, 2HIN, 2HE /                               00544 
      DATA SIFIN  / 38, 2H**, 2H**, 2H* , 2H  , 2H (, 2HFI, 2HN , 2HNE  00545 
     1                , 2HCE, 2HSS, 2HAR, 2HY , 2HTO, 2H M, 2HAT, 2HCH  00546 
     1                , 2H L, 2HIN, 2HE /                               00547 
      DATA SIFIN2 / 14, 2HAS, 2HSU, 2HME, 2HD , 2HAB, 2HOV, 2HE)/       00548 
      DATA SIGN   / 45, 2H**, 2H**, 2H* , 2H  , 2H (, 2HNO, 2H C, 2HON  00549 
     1                , 2HTR, 2HOL, 2H P, 2HHR, 2HAS, 2HE , 2HFO, 2HR   00550 
     1                , 2HFI, 2HN , 2HTO, 2H M, 2HAT, 2HCH, 1H)/        00551 
      DATA SINSRT / 38, 2H**, 2H**, 2H* , 2HST, 2HAT, 2HEM, 2HEN, 2HT(  00552 
     1                , 2HS), 2H N, 2HEE, 2HDE, 2HD , 2HBE, 2HFO, 2HRE  00553 
     1                , 2H L, 2HIN, 2HE /                               00554 
      DATA SINS2  / 13, 2HAS, 2HSU, 2HME, 2HD , 2HBE, 2HLO, 1HW/        00555 
      DATA SITODM / 50, 2H**, 2H**, 2H* , 2H  , 2H (, 2HON, 2HLY, 2H T  00556 
     1                , 2HO , 2HAN, 2HD , 2HEN, 2HD , 2HAR, 2HE , 2HVA  00557 
     1                , 2HLI, 2HD , 2HAT, 2H T, 2HHI, 2HS , 2HPO, 2HIN  00558 
     1                , 2HT)/                                           00559 
      DATA SIWHEN / 39, 2H**, 2H**, 2H* , 2H  , 2H (, 2HWH, 2HEN, 2H T  00560 
     1                , 2HO , 2HMA, 2HTC, 2HH , 2HFO, 2HLL, 2HOW, 2HIN  00561 
     1                , 2HG , 2HEL, 2HSE, 1H)/                          00562 
      DATA SMPE / 22, 2H**, 2H**, 2H* , 2HMI, 2HSS, 2HIN, !30JUN81      00563 
     1          2HG , 2H.P, 2HAS, 2HSE, 2HND/       !30JUN81            00564 
      DATA SMULER / 44, 2H**, 2H**, 2H* , 2H  , 2H (, 2HPR, 2HOC, 2HED  00565 
     1                , 2HUR, 2HE , 2HAL, 2HRE, 2HAD, 2HY , 2HDE, 2HFI  00566 
     1                , 2HNE, 2HD , 2HON, 2H L, 2HIN, 2HE /             00567 
      DATA SNDER1 / 42, 2H**, 2H**, 2H* , 2HTH, 2HE , 2HNE, 2HXT, 2H    00568 
     1                , 2HPR, 2HOC, 2HED, 2HUR, 2HES, 2H W, 2HER, 2HE   00569 
     1                , 2HIN, 2HVO, 2HKE, 2HD , 2HON/                   00570 
      DATA SNDER2 / 44, 2H**, 2H**, 2H* , 2HTH, 2HE , 2HLI, 2HNE, 2HS   00571 
     1                , 2HGI, 2HVE, 2HN , 2HBU, 2HT , 2HWE, 2HRE, 2H N  00572 
     1                , 2HEV, 2HER, 2H D, 2HEF, 2HIN, 2HED/             00573 
      DATA SNIER1 / 46, 2H**, 2H**, 2H* , 2HTH, 2HE , 2HFO, 2HLL, 2HOW  00574 
     1                , 2HIN, 2HG , 2HPR, 2HOC, 2HED, 2HUR, 2HES, 2H W  00575 
     1                , 2HER, 2HE , 2HDE, 2HFI, 2HNE, 2HD , 2HON/       00576 
      DATA SNIER2 / 44, 2H**, 2H**, 2H* , 2HTH, 2HE , 2HLI, 2HNE, 2HS   00577 
     1                , 2HGI, 2HVE, 2HN , 2HBU, 2HT , 2HWE, 2HRE, 2H N  00578 
     1                , 2HEV, 2HER, 2H I, 2HNV, 2HOK, 2HED/             00579 
      DATA SNEST /36, 2H**, 2H**, 2H* ,2H.I, 2HNC, 2HLU, 2HDE, !29JUN81 00580 
     1 2H F, 2HIL, 2HES, 2H N, 2HES, 2HTE, 2HD ,2HTO, 2HO ,   !29JUN81  00581 
     2 2HDE, 2HEP/                                         !29JUN81     00582 
      DATA SNONAM /31, 2H**, 2H**, 2H*  ,2HNO, 2H N, 2HAM, !30JUN81     00583 
     1  2HE , 2HGI, 2HVE, 2HN  ,2HWI, 2HTH, 2H ., 2HPA, !30JUN81        00584 
     2  2HSS, 1H_/                                                      00585 
      DATA SOPN /32, 2H**, 2H**, 2H* ,2HOP, 2HEN, 2H F, 2HAI, !29JUN81  00586 
     1 2HL ,2HON, 2H ., 2HIN, 2HCL, 2HUD, 2HE , 2HFI, 2HLE/  !29JUN81   00587 
      DATA SPAGE /11, 2H  ,2H  ,2H  ,2H.P ,2HAG ,1HE/                   00590 
      DATA SRDERR  /33, 2H**, 2H**, 2H* , 2H  , 2H (, 2HRE,     !821129 00593 
     1          2HAD, 2H E, 2HRR, 2H O, 2HN , 2HIN,     !821129         00594 
     2          2HPU, 2HT , 2HLI, 2HNE, 1H)/            !821129         00595 
      DATA SRP    /  1, 1H)/                                            00596 
      DATA SSPACR /  3, 2H. , 1H /                                      00597 
      DATA STABH  / 37, 2H  , 2H  , 2H  , 2HPR, 2HOC, 2HED, 2HUR, 2HE   00598 
     1                , 2HCR, 2HOS, 2HS-, 2HRE, 2HFE, 2HRE, 2HNC, 2HE   00599 
     1                , 2HTA, 2HBL, 1HE/                                00600 
      DATA STODUM / 24, 2H  , 2H  , 2H  , 2HTO, 2H D, 2HUM, 2HMY, 2H-P  00601 
     1                , 2HRO, 2HCE, 2HDU, 2HRE/                         00602 
      DATA STRUN / 47, 2H**, 2H**, 2H*  ,2H.P, 2HAS, 2HS_, !30JUN81     00603 
     1 2H N, 2HAM, 2HE , 2HHA, 2HS  ,2H> , 2H6  ,2HCH,  !30JUN81        00604 
     2 2HAR, 2HAC, 2HTE, 2HRS, 2H--, 2HTR, 2HUN, 2HCA,  !30JUN81        00605 
     3 2HTE, 1HD/                                       !30JUN81        00606 
      DATA SVER   / 21, 2H(F, 2HLE, 2HCS, 2H V, 2HER, 2HSI, 2HON, 2H 2  00607 
     1                , 2H2., 2H38, 1H)/                                00608 
      DATA SWHEN  / 29, 2H  , 2H  , 2H  , 2HWH, 2HEN, 2H (, 2H.T, 2HRU  00609 
     1                , 2HE., 2H) , 2HCA, 2HLL, 2H E, 2HXI, 1HT/        00610 
      DATA SXER1  / 54, 2H**, 2H**, 2H* , 2H  , 2H (, 2HIN, 2HVA, 2HLI  00611 
     1                , 2HD , 2HCH, 2HAR, 2HAC, 2HTE, 2HR , 2HIN, 2H S  00612 
     1                , 2HTA, 2HTE, 2HME, 2HNT, 2H N, 2HUM, 2HBE, 2HR   00613 
     1                , 2HFI, 2HEL, 2HD)/                               00614 
      DATA SXER2  / 53, 2H**, 2H**, 2H* , 2H  , 2H (, 2HRE, 2HCO, 2HGN  00615 
     1                , 2HIZ, 2HAB, 2HLE, 2H S, 2HTA, 2HTE, 2HME, 2HNT  00616 
     1                , 2H F, 2HOL, 2HLO, 2HWE, 2HD , 2HBY, 2H G, 2HAR  00617 
     1                , 2HBA, 2HGE, 1H)/                                00618 
      DATA SXER3  / 50, 2H**, 2H**, 2H* , 2H  , 2H (, 2HLE, 2HFT, 2H P  00619 
     1                , 2HAR, 2HEN, 2H D, 2HOE, 2HS , 2HNO, 2HT , 2HFO  00620 
     1                , 2HLL, 2HOW, 2H C, 2HON, 2HTR, 2HOL, 2H W, 2HOR  00621 
     1                , 2HD)/                                           00622 
      DATA SXER4  / 30, 2H**, 2H**, 2H* , 2H  , 2H (, 2HMI, 2HSS, 2HIN  00623 
     1                , 2HG , 2HRI, 2HGH, 2HT , 2HPA, 2HRE, 2HN)/       00624 
      DATA SXER5  / 50, 2H**, 2H**, 2H* , 2H  , 2H (, 2HVA, 2HLI, 2HD   00625 
     1                , 2HPR, 2HOC, 2HED, 2HUR, 2HE , 2HNA, 2HME, 2H D  00626 
     1                , 2HOE, 2HS , 2HNO, 2HT , 2HFO, 2HLL, 2HOW, 2H T  00627 
     1                , 2HO)/                                           00628 
      IF(SOURCE.EQ.SETUP)THEN                                           00635 
      SOURCE=RETRY                                                      00635 
      ELSEIF(ERROR.EQ.0.AND.ERSTOP.EQ.0)THEN                            00636 
      SOURCE=READ       !IF NO ERROR, GET NEXT LINE FROM FLX FILE       00637 
      ASSIGN 32757 TO I32758                                            00638 
      GO TO 32758                                                       00638 
32757 CONTINUE                                                          00640 
      ELSE                                                              00640 
      MINER=(((ERROR.GE.5).AND.(ERROR.LE.6)).OR.                        00641 
     1       ((ERROR.GE.13).AND.(ERROR.LE.15)))                         00642 
      MINER=MINER.OR.((ERROR.GE.1).AND.(ERROR.LE.3)).OR.(ERROR.EQ.25)   00643 
     1 .OR. (ERROR.EQ.404) .OR. (ERROR.EQ.500)                          00644 
      IF(MINER)THEN                                                     00645 
      MINCNT=MINCNT+1     !INC WARNING COUNT                            00645 
      ELSE                                                              00646 
      MAJCNT=MAJCNT+1             !INC ERROR COUNT                      00646 
      ENDIF                                                             00646 
      IF(ERROR.EQ.0)THEN                                                00647 
      ERTYPE=1                                                          00647 
      ELSE                                                              00648 
      IF(ERROR.LE.3)THEN                                                00650 
      ASSIGN 32755 TO I32756                                            00650 
      GO TO 32756                                                       00650 
32755 CONTINUE                                                          00651 
      ELSEIF(ERROR.EQ.4)THEN                                            00651 
      ASSIGN 32753 TO I32754                                            00651 
      GO TO 32754                                                       00651 
32753 CONTINUE                                                          00652 
      ELSEIF(ERROR.LE.6)THEN                                            00652 
      ERTYPE=3                                                          00652 
      ELSEIF(ERROR.EQ.7)THEN                                            00653 
      ASSIGN 32752 TO I32754                                            00653 
      GO TO 32754                                                       00653 
32752 CONTINUE                                                          00654 
      ELSEIF(ERROR.EQ.8)THEN                                            00654 
      ASSIGN 32750 TO I32751                                            00654 
      GO TO 32751                                                       00654 
32750 CONTINUE                                                          00655 
      ELSEIF(ERROR.EQ.9)THEN                                            00655 
      ASSIGN 32748 TO I32749                                            00655 
      GO TO 32749                                                       00655 
32748 CONTINUE                                                          00656 
      ELSEIF(ERROR.EQ.10)THEN                                           00656 
      ASSIGN 32746 TO I32747                                            00656 
      GO TO 32747                                                       00656 
32746 CONTINUE                                                          00657 
      ELSEIF(ERROR.LE.12)THEN                                           00657 
      ASSIGN 32745 TO I32756                                            00657 
      GO TO 32756                                                       00657 
32745 CONTINUE                                                          00658 
      ELSEIF(ERROR.LE.15)THEN                                           00658 
      ASSIGN 32744 TO I32756                                            00658 
      GO TO 32756                                                       00658 
32744 CONTINUE                                                          00659 
      ELSEIF(ERROR.EQ.16)THEN                                           00659 
      ASSIGN 32743 TO I32754                                            00659 
      GO TO 32754                                                       00659 
32743 CONTINUE                                                          00660 
      ELSEIF(ERROR.EQ.17)THEN                                           00660 
      ASSIGN 32741 TO I32742                                            00660 
      GO TO 32742                                                       00660 
32741 CONTINUE                                                          00661 
      ELSEIF(ERROR.EQ.18)THEN                                           00661 
      ASSIGN 32740 TO I32749                                            00661 
      GO TO 32749                                                       00661 
32740 CONTINUE                                                          00662 
      ELSEIF(ERROR.LE.19)THEN                                           00662 
      ASSIGN 32739 TO I32742                                            00662 
      GO TO 32742                                                       00662 
32739 CONTINUE                                                          00663 
      ELSEIF(ERROR.EQ.20)THEN                                           00663 
      ASSIGN 32738 TO I32754                                            00663 
      GO TO 32754                                                       00663 
32738 CONTINUE                                                          00664 
      ELSEIF(ERROR.EQ.21)THEN                                           00664 
      ASSIGN 32737 TO I32749                                            00664 
      GO TO 32749                                                       00664 
32737 CONTINUE                                                          00665 
      ELSEIF(ERROR.LE.23)THEN                                           00665 
      ASSIGN 32736 TO I32756                                            00665 
      GO TO 32756                                                       00665 
32736 CONTINUE                                                          00666 
      ELSEIF(ERROR.EQ.24)THEN                                           00666 
      ASSIGN 32735 TO I32754                                            00666 
      GO TO 32754                                                       00666 
32735 CONTINUE                                                          00667 
      ELSEIF(ERROR.EQ.25)THEN                                           00667 
      ERTYPE=4                                                          00667 
      ELSEIF(ERROR.EQ.26)THEN                                           00668 
      ERTYPE=5                                                          00668 
      ELSEIF(ERROR.GT.300 .AND. ERROR.LE.303)THEN                       00669 
      ERTYPE=6         !29JUN81 MAO                                     00669 
      ELSEIF(ERROR.GT.400 .AND. ERROR.LE.403)THEN                       00670 
      ERTYPE=7         !30JUN81MAO                                      00670 
      ELSEIF(ERROR.EQ.404)THEN                                          00671 
      ASSIGN 32733 TO I32734                                            00671 
      GO TO 32734                                                       00671 
32733 CONTINUE                                                          00672 
      ELSEIF(ERROR.EQ.500)THEN                                          00672 
      ASSIGN 32732 TO I32758                                            00673 
      GO TO 32758                                                       00673 
32732 CALL PUT(0,SFCONT,ERRCL)  !WARNING MSG    !830308MAO              00674 
      ENDIF                                                             00676 
      ENDIF                                                             00677 
      SOURCE=READ                                                       00678 
      IF((1).EQ.(ERTYPE))THEN                                           00680 
      CALL PUT(-LINENO,SHOLD,ERRCL)                                     00681 
      DO I=1,ERSTOP                                                     00682 
      IF((1).EQ.(ERRSTK(I)))THEN                                        00684 
      CALL PUT(0,SXER1,ERRCL)                                           00684 
      ELSEIF((2).EQ.(ERRSTK(I)))THEN                                    00685 
      CALL PUT(0,SXER2,ERRCL)                                           00685 
      ELSEIF((3).EQ.(ERRSTK(I)))THEN                                    00686 
      CALL PUT(0,SXER3,ERRCL)                                           00686 
      ELSEIF((4).EQ.(ERRSTK(I)))THEN                                    00687 
      CALL PUT(0,SXER4,ERRCL)                                           00687 
      ELSEIF((5).EQ.(ERRSTK(I)))THEN                                    00688 
      CALL PUT(0,SXER5,ERRCL)                                           00688 
      ENDIF                                                             00689 
      ENDDO                                                             00690 
      ELSEIF((2).EQ.(ERTYPE))THEN                                       00692 
      SOURCE=SETUP          !MISSING STATEMENT INSERTED                 00692 
      ELSEIF((3).EQ.(ERTYPE))THEN                                       00693 
      CALL PUT(-LINENO,SFLX,ERRCL)              !EXTRA FIN              00694 
      CALL PUT(0,SIGN,ERRCL)                                            00695 
      ELSEIF((4).EQ.(ERTYPE))THEN                                       00697 
      CALL PUT(0,SENDER,ERRCL)      !MISSING END                        00697 
      ELSEIF((5).EQ.(ERTYPE))THEN                                       00698 
      CALL PUT(LINENO,SFLX,ERRCL)       !PROCEDURE ALREADY DEFINED      00699 
      CALL CPYSTR(SST,SMULER)                                           00700 
      CALL CATNUM(SST,MLINE)                                            00701 
      CALL CATSTR(SST,SRP)                                              00702 
      CALL PUT(0,SST,ERRCL)                                             00703 
      ELSEIF((6).EQ.(ERTYPE))THEN                                       00705 
      CALL PUT (-LINENO,SFLX,ERRCL)                                     00706 
      IF((301).EQ.(ERROR))THEN                                          00708 
      CALL PUT (0,SNEST,ERRCL)    !MAX NESTING DEPTH EXCEEDED           00708 
      ELSEIF((302).EQ.(ERROR))THEN                                      00709 
      CALL PUT (0,SFNAM,ERRCL)    !FILE NAME ERROR                      00709 
      ELSEIF((303).EQ.(ERROR))THEN                                      00710 
      CALL PUT (0,SOPN,ERRCL)     !FILE OPEN ERROR                      00710 
      ENDIF                                                             00711 
      ELSEIF((7).EQ.(ERTYPE))THEN                                       00713 
      CALL PUT (-LINENO,SFLX,ERRCL)                                     00714 
      IF((401).EQ.(ERROR))THEN                                          00716 
      CALL PUT (0,SEPE,ERRCL)     !excess .PASSEND                      00716 
      ELSEIF((402).EQ.(ERROR))THEN                                      00717 
      CALL PUT (0,STRUN,ERRCL)    !>6 char in name                      00717 
      ELSEIF((403).EQ.(ERROR))THEN                                      00718 
      CALL PUT (0,SNONAM,ERRCL)   !name not given                       00718 
      ENDIF                                                             00719 
      ELSEIF((8).EQ.(ERTYPE))THEN                                       00721 
      SOURCE=RETRY                                                      00721 
      ENDIF                                                             00722 
      ENDIF                                                             00724 
      IF(ERR1.NE.0)THEN                                                 00725 
      CALL PUT(0,SRDERR,ERRCL)                  !821129MAO              00729 
      MINCNT=MINCNT+1           !INC WARNING COUNTER    !821129MAO      00730 
      ENDIF                                                             00731 
      IF(ENDPGM)THEN                                                    00733 
      ASSIGN 32730 TO I32731                                            00734 
      GO TO 32731                                                       00734 
32730 ASSIGN 32728 TO I32729                                            00735 
      GO TO 32729                                                       00735 
32728 CALL PUT(0,SVER,LISTCL)                                           00736 
      ENDIF                                                             00737 
      RETURN                                                            00738 
32742 CONTINUE                                                          00739 
      ASSIGN 32726 TO I32727                                            00740 
      GO TO 32727                                                       00740 
32726 CALL CPYSTR(SFLX,SCOND)                                           00741 
      CALL PUT(0,SICOND,ERRCL)                                          00742 
      GO TO I32742                                                      00743 
32754 CONTINUE                                                          00744 
      ASSIGN 32725 TO I32727                                            00745 
      GO TO 32727                                                       00745 
32725 CALL CPYSTR(SFLX,SELSE)                                           00746 
      CALL CPYSTR(SLIST,SIELSE)                                         00747 
      CALL CATNUM(SLIST,STACK(TOP-1))                                   00748 
      CALL CATSTR(SLIST,SRP)                                            00749 
      CALL PUT(0,SLIST,ERRCL)                                           00750 
      GO TO I32754                                                      00751 
32756 CONTINUE                                                          00752 
      ASSIGN 32724 TO I32727                                            00753 
      GO TO 32727                                                       00753 
32724 IF(STACK(TOP).EQ.AELS77)THEN                                      00754 
      CALL CPYSTR(SFLX,SENDIF)                          !860228         00755 
      CALL CPYSTR(SLIST,SIENDI)                         !860228         00756 
      ELSE                                                              00758 
      CALL CPYSTR(SFLX,SFIN)                                            00759 
      CALL CPYSTR(SLIST,SIFIN)                                          00760 
      ENDIF                                                             00761 
      IF(STACK(TOP-1).EQ.0)THEN                                         00762 
      CALL CATSTR(SLIST,SIFIN2)                                         00762 
      ELSE                                                              00763 
      CALL CATNUM(SLIST,STACK(TOP-1))                                   00764 
      CALL CATSTR(SLIST,SRP)                                            00765 
      ENDIF                                                             00766 
      CALL PUT(0,SLIST,ERRCL)                                           00767 
      GO TO I32756                                                      00768 
32734 CONTINUE                                                          00769 
      ASSIGN 32723 TO I32727                                            00770 
      GO TO 32727                                                       00770 
32723 ERTYPE=8                                                          00771 
      DO I=1,CNDLVL                                                     00772 
      CALL PUT (0,SMPE,ERRCL)                                           00773 
      ENDDO                                                             00774 
      CNDLVL=0                                                          00775 
      PASFLG=.TRUE.                                                     00776 
      GO TO I32734                                                      00777 
32749 CONTINUE                                                          00778 
      ASSIGN 32722 TO I32727                                            00779 
      GO TO 32727                                                       00779 
32722 CALL CPYSTR(SFLX,STODUM)                                          00780 
      CALL PUT(0,SITODM,ERRCL)                                          00781 
      GO TO I32749                                                      00782 
32751 CONTINUE                                                          00783 
      ASSIGN 32721 TO I32727                                            00784 
      GO TO 32727                                                       00784 
32721 CALL CPYSTR(SFLX,SWHEN)                                           00785 
      CALL PUT(0,SIWHEN,ERRCL)                                          00786 
      GO TO I32751                                                      00787 
32747 CONTINUE                                                          00788 
      IF(TOP.LE.7)THEN                                                  00790 
      ASSIGN 32720 TO I32751                                            00790 
      GO TO 32751                                                       00790 
32720 CONTINUE                                                          00791 
      ELSEIF(STACK(TOP-6).EQ.TELSE)THEN                                 00791 
      ASSIGN 32719 TO I32756                                            00791 
      GO TO 32756                                                       00791 
32719 CONTINUE                                                          00792 
      ELSE                                                              00792 
      ASSIGN 32718 TO I32751                                            00792 
      GO TO 32751                                                       00792 
32718 CONTINUE                                                          00793 
      ENDIF                                                             00793 
      GO TO I32747                                                      00794 
32729 CONTINUE                                                          00795 
        LSTLEV=LEVEL                                                    00796 
      IF(LSTLEV.EQ.0)THEN                                               00797 
      CALL PUT(BLN,SB,LISTCL)                                           00797 
      ELSE                                                              00798 
      CALL CPYSTR(SLIST,SB6)                                            00799 
      DO I=1,LSTLEV                                                     00800 
      CALL CATSTR(SLIST,SSPACR)                                         00800 
      ENDDO                                                             00800 
      IF(SLIST(1).GT.WWIDTH)THEN                                        00801 
      CALL PUT(BLN,SB,LISTCL)                                           00801 
      ELSE                                                              00802 
      CALL PUT(BLN,SLIST,LISTCL)                                        00802 
      ENDIF                                                             00802 
      ENDIF                                                             00803 
      BLN=0                                                             00804 
      GO TO I32729                                                      00805 
32717 CONTINUE                                                          00806 
      CALL PUT(0,SB,LISTCL)                                             00807 
      CALL PUT(0,SDASH,LISTCL)                                          00808 
      CALL PUT(0,SB,LISTCL)                                             00809 
      GO TO I32717                                                      00810 
32758 CONTINUE                                                          00811 
      IF(CLASS.EQ.TTO)THEN                                              00812 
      ASSIGN 32716 TO I32717                                            00812 
      GO TO 32717                                                       00812 
32716 CONTINUE                                                          00812 
      ENDIF                                                             00812 
      IF (SFLX(1).LT.7)  CALL CATSTR(SFLX,SB7)                          00813 
      CALL CPYSUB(SLIST,SFLX,1,6)                                       00814 
      IF(.NOT.(LSTLEV.EQ.0))THEN                                        00815 
      DO I=1,LSTLEV                                                     00816 
      CALL CATSTR(SLIST,SSPACR)                                         00816 
      ENDDO                                                             00816 
      ENDIF                                                             00817 
      IF(BLKIF.NE.0 .AND. (CLASS.EQ.TELSIF .OR. CLASS.EQ.TELSE))THEN    00818 
      SLIST(1) = SLIST(1)-SSPACR(1)                             !860214 00820 
      ENDIF                                                             00821 
      IF(CLASS.EQ.TFIN .OR. CLASS.EQ.TENDDO .OR. CLASS.EQ.TENDIF)THEN   00822 
      SLIST(1)=SLIST(1)-SSPACR(1)                                       00823 
      IF (CLASS.EQ.TFIN) CALL CATSTR(SLIST,SFSPCR)              !860424 00824 
      ENDIF                                                             00825 
      CALL CATSUB(SLIST,SFLX,7,SFLX(1)-6)                               00826 
      IF (SLIST(1).GT.WWIDTH)  CALL CPYSTR(SLIST,SFLX)                  00830 
      IF(ERLST)THEN                                                     00831 
      CALL PUT(LINENO,SLIST,ERRCL)                                      00832 
      ERLST=.FALSE.                                                     00833 
      ELSE                                                              00835 
      CALL PUT(LINENO,SLIST,LISTCL)                                     00835 
      ENDIF                                                             00835 
      IF(CLASS.EQ.TDIR)THEN                                             00839 
      IF( DTYPE.EQ.DPAGE .AND. LSTFUL)THEN                              00840 
      CALL PUTCH (SLIST(2),1,FORMFD)    !put in formfeed !22-JUN-81     00845 
      SLIST(1)=1                                        !22-JUN-81      00846 
      CALL PUT (LINENO,SLIST,FORTCL)                    !22-JUN-81      00847 
      IF(.NOT.(CNTALL)) NUMLIN=NUMLIN-1   !USUALLY DONT COUNT !830307   00848 
      ENDIF                                                             00850 
      ENDIF                                                             00851 
      GO TO I32758                                                      00852 
32727 CONTINUE                                                          00853 
      ERTYPE=2                                                          00854 
      ASSIGN 32714 TO I32715                                            00855 
      GO TO 32715                                                       00855 
32714 LINENO=0                                                          00856 
      IF(SOURCE.EQ.READ)THEN                                            00857 
      CALL CPYSTR(SST,SINSRT)                                           00858 
      IF(HOLDNO.GT.0)THEN                                               00859 
      CALL CATNUM(SST,HOLDNO)                                           00859 
      ELSE                                                              00860 
      CALL CATSTR(SST,SINS2)                                            00860 
      ENDIF                                                             00860 
      CALL PUT(0,SST,ERRCL)                                             00861 
      ENDIF                                                             00862 
      GO TO I32727                                                      00863 
32731 CONTINUE                                                          00864 
      IF(.NOT.(PTABLE.EQ.0))THEN                                        00865 
      TABLCL=LISTCL                                                     00866 
      ASSIGN 32713 TO I32717                                            00867 
      GO TO 32717                                                       00867 
32713 CALL PUT(0,STABH,LISTCL)                                          00868 
      CALL PUT(0,SB,LISTCL)                                             00869 
      P=PTABLE                                                          00870 
      NDERR=.FALSE.                                                     00871 
      NIERR=.FALSE.                                                     00872 
      I32712=.TRUE.                                                     00873 
      DOWHILE(((I32712)).OR.(.NOT.(P.EQ.0)))                            00873 
      I32712=.FALSE.                                                    00873 
      IF(STACK(P+2).EQ.0)THEN                                           00874 
      NDERR=.TRUE.                                                      00875 
      MAJCNT=MAJCNT+1                                                   00876 
      ENDIF                                                             00877 
      IF(STACK(P+3).EQ.0)THEN                                           00878 
      NIERR=.TRUE.                                                      00879 
      MINCNT=MINCNT+1                                                   00880 
      ENDIF                                                             00881 
      ASSIGN 32710 TO I32711                                            00882 
      GO TO 32711                                                       00882 
32710 P=STACK(P)                                                        00883 
      ENDDO                                                             00884 
      IF(NDERR)THEN                                                     00885 
      CALL PUT(0,SNDER1,ERRCL)                                          00886 
      CALL PUT(0,SNDER2,ERRCL)                                          00887 
      ASSIGN 32709 TO I32729                                            00888 
      GO TO 32729                                                       00888 
32709 P=PTABLE                                                          00889 
      TABLCL=ERRCL                                                      00890 
      I32708=.TRUE.                                                     00891 
      DOWHILE(((I32708)).OR.(.NOT.(P.EQ.0)))                            00891 
      I32708=.FALSE.                                                    00891 
      IF(STACK(P+2).EQ.0)THEN                                           00892 
      ASSIGN 32707 TO I32711                                            00892 
      GO TO 32711                                                       00892 
32707 CONTINUE                                                          00892 
      ENDIF                                                             00892 
      P=STACK(P)                                                        00893 
      ENDDO                                                             00894 
      ENDIF                                                             00895 
      IF(NIERR)THEN                                                     00896 
      CALL PUT(0,SNIER1,ERRCL)                                          00897 
      CALL PUT(0,SNIER2,ERRCL)                                          00898 
      ASSIGN 32706 TO I32729                                            00899 
      GO TO 32729                                                       00899 
32706 P=PTABLE                                                          00900 
      TABLCL=ERRCL                                                      00901 
      I32705=.TRUE.                                                     00902 
      DOWHILE(((I32705)).OR.(.NOT.(P.EQ.0)))                            00902 
      I32705=.FALSE.                                                    00902 
      IF(STACK(P+3).EQ.0)THEN                                           00903 
      ASSIGN 32704 TO I32711                                            00903 
      GO TO 32711                                                       00903 
32704 CONTINUE                                                          00903 
      ENDIF                                                             00903 
      P=STACK(P)                                                        00904 
      ENDDO                                                             00905 
      ENDIF                                                             00906 
      ENDIF                                                             00907 
      GO TO I32731                                                      00908 
32711 CONTINUE                                                          00909 
      CALL CPYSTR(SST,SB6)                                              00910 
      IF(.NOT.(STACK(P+2).EQ.0)) CALL PUTNUM(SST,STACK(P+2))            00911 
      CALL CATSTR(SST,STACK(P+4))                                       00912 
      CALL PUT(0,SST,TABLCL)                                            00913 
      QP=STACK(P+3)                                                     00914 
      DOWHILE(.NOT.(QP.EQ.0))                                           00915 
      CALL CPYSTR(SST,SB4)                                              00916 
      I=1                                                               00917 
      DOWHILE(.NOT.(QP.EQ.0.OR.I.GT.REFNO))                             00918 
      CALL CATSTR(SST,SB2)                                              00919 
      CALL CATNUM(SST,STACK(QP+1))                                      00920 
      I=I+1                                                             00921 
      QP=STACK(QP)                                                      00922 
      ENDDO                                                             00923 
      CALL PUT(0,SST,TABLCL)                                            00924 
      ENDDO                                                             00925 
      CALL PUT(0,SB,LISTCL)                                             00926 
      GO TO I32711                                                      00927 
32715 CONTINUE                                                          00928 
      IF(.NOT.(SAVED))THEN                                              00929 
      SAVED=.TRUE.                                                      00930 
      HOLDNO=LINENO                                                     00931 
      CALL CPYSTR(SHOLD,SFLX)                                           00932 
      ENDIF                                                             00933 
      GO TO I32715                                                      00934 
      END                                                               00935 
